<?php
namespace Claromentis\WhatsNew;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_48d1d31e5c8abc81ea" . "2f3d9962cfc85e" => base64_decode("Q2xhc3" . "MgIg=="), "nam" . "e" => base64_decode("bmFtZ" . "Q=="), "_710b3e24b285c5a" . "2648d6222ce6fed0" . "2" => base64_decode("IiBpcyBub3QgYW4gaW5z" . "dGFuY2Ugb2YgV2hhdHNO" . "ZXdWaWV3SW50ZXJmYWNl"), "_c53508704047d5c04cdd9a4e2" . "c609855" => base64_decode("dmlld" . "19jbG" . "Fzcw=" . "="));
use Claromentis\WhatsNew\View\WhatsNewViewInterface;
class SupportedObjects
{
    protected $types = [];
    public function __construct($_17728688d370dbb69c53d9e641c4b0e0)
    {
        $this->types = $_17728688d370dbb69c53d9e641c4b0e0;
    }
    public function GetBasicTypes()
    {
        $_cca37c6eef1772171471df79b16310d4 = [];
        foreach ($this->types as $key => $value) {
            $_cca37c6eef1772171471df79b16310d4[$key] = $value[$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["n" . "a" . "m" . "e"]];
        }
        return $_cca37c6eef1772171471df79b16310d4;
    }
    public function GetTypes()
    {
        return $this->types;
    }
    public function GetView($type)
    {
        $_d25006bce911ec5516b4a6031de5dc67 = $this->types[$type][$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_c53508704047d5c04cdd9a4e2c" . "609855"]];
        $_35ed77ccccaf3a056dcf16acae33bbe0 = new $_d25006bce911ec5516b4a6031de5dc67();
        if (!$_35ed77ccccaf3a056dcf16acae33bbe0 instanceof WhatsNewViewInterface) {
            throw new \Exception($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_48d1d31e5c8ab" . "c81ea2f3d9962c" . "fc85e"] . $_d25006bce911ec5516b4a6031de5dc67 . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_710b3e24b285c5a2648d" . "6222ce6fed02"]);
        }
        return $_35ed77ccccaf3a056dcf16acae33bbe0;
    }
}